# Interface methods for submodule: DanielssonDistanceMapImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageToImageFilterProxy as _ImageToImageFilterProxy


# Interface methods for class: DanielssonDistanceMapImageFilter
class DanielssonDistanceMapImageFilterProxy(_ImageToImageFilterProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def SetSquaredDistance(self, _arg: bool) -> None:
		""""""
		...

	def GetSquaredDistance(self) -> bool:
		""""""
		...

	def SquaredDistanceOn(self) -> None:
		""""""
		...

	def SquaredDistanceOff(self) -> None:
		""""""
		...

	def SetInputIsBinary(self, _arg: bool) -> None:
		""""""
		...

	def GetInputIsBinary(self) -> bool:
		""""""
		...

	def InputIsBinaryOn(self) -> None:
		""""""
		...

	def InputIsBinaryOff(self) -> None:
		""""""
		...

	def SetUseImageSpacing(self, _arg: bool) -> None:
		""""""
		...

	def GetUseImageSpacing(self) -> bool:
		""""""
		...

	def UseImageSpacingOn(self) -> None:
		""""""
		...

	def UseImageSpacingOff(self) -> None:
		""""""
		...

	def GetVoronoiMap(self):
		""""""
		...

	def GetDistanceMap(self):
		""""""
		...

	def GetVectorDistanceMap(self):
		""""""
		...

	def MakeOutput(self, idx: int):
		""""""
		...

